## org.hibernate.sql
Class ForUpdateFragment

    java.lang.Object
      org.hibernate.sql.ForUpdateFragment

    public class ForUpdateFragment

extends Object

Author:
  Gavin King

Constructor Summary
`ForUpdateFragment(Dialect dialect)`
`ForUpdateFragment(Dialect dialect, LockOptions lockOptions, Map keyColumnNames)`

Method Summary
`ForUpdateFragment` `addTableAlias(String alias)`
`ForUpdateFragment` `setNowaitEnabled(boolean nowait)`
`String` `toFragmentString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForUpdateFragment

    public ForUpdateFragment(Dialect dialect)

### ForUpdateFragment

    public ForUpdateFragment(Dialect dialect,
                             LockOptions lockOptions,
                             Map keyColumnNames)
                      throws QueryException

Throws:
  `QueryException`

Method Detail

### addTableAlias

    public ForUpdateFragment addTableAlias(String alias)

### toFragmentString

    public String toFragmentString()

### setNowaitEnabled

    public ForUpdateFragment setNowaitEnabled(boolean nowait)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.